> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a redaction entity

> Update the policies of a specific redaction entity. Only the policies field can be modified.




## OpenAPI

````yaml /api-specs/partner-configuration.yaml patch /configuration/v1/redaction-entities/{entityId}
openapi: 3.0.0
info:
  title: Partner Configuration API
  description: >
    This is the Partner Configuration API which allows ASAPP partners to manage
    configurations. Currently we are offering:
     - Custom Vocabularies: API endpoints to create, delete, update, and retrieve custom vocabularies.
     - Redaction Entities: API endpoints to update and retrieve redaction entities.
     - Structured Data Fields: API endpoints to create, delete, update, and retrieve structured data fields.

    Important Note: Custom Vocabularies and Redaction Entities do not support
    concurrent operations within the same category. You can perform updates,
    creations or deletes concurrently between Custom Vocabularies and Redaction
    Entities, but not within each one. Each operation may take up to 45 seconds
    to complete.
  version: 1.0.0
servers:
  - url: https://api.sandbox.asapp.com
security:
  - API-ID: []
    API-Secret: []
tags:
  - name: Configuration
    description: Operations to manage ASAPP configurations
paths:
  /configuration/v1/redaction-entities/{entityId}:
    parameters:
      - name: entityId
        description: Identifier of the entity
        in: path
        required: true
        schema:
          type: string
    patch:
      tags:
        - Configuration
      summary: Update a redaction entity
      description: >
        Update the policies of a specific redaction entity. Only the policies
        field can be modified.
      operationId: updateRedactionEntity
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                policies:
                  description: >-
                    A set of policies that control when and how redaction is
                    applied. Each policy can be enabled or disabled
                    independently. Some entities may have a subset of policies.
                    Specifying a policy that is not applicable to an entity will
                    be ignored.
                  type: object
                  properties:
                    customerImmediate:
                      type: boolean
                      description: >-
                        Immediately redact sensitive information from the
                        customer's view during the live conversation. This is
                        typically used for highly sensitive data like credit
                        card numbers that should never be visible to customers.
                      example: true
                    customerDelayed:
                      type: boolean
                      description: >-
                        Temporarily show sensitive information to the customer
                        before applying redaction. This allows customers to
                        verify the information was captured correctly before it
                        gets redacted.
                      example: false
                    agentImmediate:
                      type: boolean
                      description: >-
                        Immediately redact sensitive information from the
                        agent's view. This prevents agents from seeing
                        confidential customer data while still allowing them to
                        assist with the interaction.
                      example: false
                    autoTranscribe:
                      type: boolean
                      description: >-
                        Redact sensitive information from conversation
                        transcripts. This ensures sensitive data is not stored
                        in transcription records while preserving the context of
                        the conversation.
                      example: false
                    voice:
                      type: boolean
                      description: Redact sensitive information during voice calls.
                      example: false
              required:
                - policies
              example:
                policies:
                  customerImmediate: false
                  customerDelayed: false
                  agentImmediate: false
      responses:
        '200':
          description: Successfully updated the redaction entity.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The id of the redaction entity
                    example: CREDIT_CARD_NUMBER
                  description:
                    type: string
                    description: The description of the redaction entity
                    example: ''
                  policies:
                    description: >-
                      A set of policies that control when and how redaction is
                      applied. Each policy can be enabled or disabled
                      independently. Some entities may have a subset of
                      policies. Specifying a policy that is not applicable to an
                      entity will be ignored.
                    type: object
                    properties:
                      customerImmediate:
                        type: boolean
                        description: >-
                          Immediately redact sensitive information from the
                          customer's view during the live conversation. This is
                          typically used for highly sensitive data like credit
                          card numbers that should never be visible to
                          customers.
                        example: true
                      customerDelayed:
                        type: boolean
                        description: >-
                          Temporarily show sensitive information to the customer
                          before applying redaction. This allows customers to
                          verify the information was captured correctly before
                          it gets redacted.
                        example: false
                      agentImmediate:
                        type: boolean
                        description: >-
                          Immediately redact sensitive information from the
                          agent's view. This prevents agents from seeing
                          confidential customer data while still allowing them
                          to assist with the interaction.
                        example: false
                      autoTranscribe:
                        type: boolean
                        description: >-
                          Redact sensitive information from conversation
                          transcripts. This ensures sensitive data is not stored
                          in transcription records while preserving the context
                          of the conversation.
                        example: false
                      voice:
                        type: boolean
                        description: Redact sensitive information during voice calls.
                        example: false
                required:
                  - id
                  - description
                  - policies
                example:
                  id: CREDIT_CARD_NUMBER
                  description: Redacts credit card number
                  policies:
                    customerImmediate: false
                    customerDelayed: false
                    agentImmediate: false
        '400':
          description: 400 - Bad request
          content:
            application/json:
              schema:
                description: Bad request response
                type: object
                properties:
                  error:
                    example:
                      requestId: 8e033668-9f1a-11ec-b909-0242ac120002
                      code: 400-01
                      message: Bad request
                    description: Error details
                    type: object
                    properties:
                      requestId:
                        type: string
                        description: Unique ID of the failing request
                      message:
                        type: string
                        description: Error message
                      code:
                        type: string
                        description: Error code
                    required:
                      - requestId
                      - message
        '401':
          description: 401 - Unauthorized
          content:
            application/json:
              schema:
                description: Unauthorized response
                type: object
                properties:
                  error:
                    example:
                      requestId: 8e033668-9f1a-11ec-b909-0242ac120002
                      code: 401-01
                      message: Unauthorized
                    description: Error details
                    type: object
                    properties:
                      requestId:
                        type: string
                        description: Unique ID of the failing request
                      message:
                        type: string
                        description: Error message
                      code:
                        type: string
                        description: Error code
                    required:
                      - requestId
                      - message
        '403':
          description: 403 - Forbidden
          content:
            application/json:
              schema:
                description: Forbidden response
                type: object
                properties:
                  error:
                    example:
                      requestId: 8e033668-9f1a-11ec-b909-0242ac120002
                      code: 403-01
                      message: Forbidden Response
                    description: Error details
                    type: object
                    properties:
                      requestId:
                        type: string
                        description: Unique ID of the failing request
                      message:
                        type: string
                        description: Error message
                      code:
                        type: string
                        description: Error code
                    required:
                      - requestId
                      - message
        '404':
          description: 404 - Not Found
          content:
            application/json:
              schema:
                description: Not Found response
                type: object
                properties:
                  error:
                    example:
                      requestId: 8e033668-9f1a-11ec-b909-0242ac120002
                      code: 404-01
                      message: Not Found
                    description: Error details
                    type: object
                    properties:
                      requestId:
                        type: string
                        description: Unique ID of the failing request
                      message:
                        type: string
                        description: Error message
                      code:
                        type: string
                        description: Error code
                    required:
                      - requestId
                      - message
        '409':
          description: 409 - Conflict
          content:
            application/json:
              schema:
                description: Conflict response
                type: object
                properties:
                  error:
                    example:
                      requestId: 8e033668-9f1a-11ec-b909-0242ac120002
                      code: 409-01
                      message: Conflict
                    description: Error details
                    type: object
                    properties:
                      requestId:
                        type: string
                        description: Unique ID of the failing request
                      message:
                        type: string
                        description: Error message
                      code:
                        type: string
                        description: Error code
                    required:
                      - requestId
                      - message
        '413':
          description: 413 - Request Entity Too Large
          content:
            application/json:
              schema:
                description: Request Entity Too Large response
                type: object
                properties:
                  error:
                    example:
                      requestId: 8e033668-9f1a-11ec-b909-0242ac120002
                      code: 413-01
                      message: Request Entity Too Large
                    description: Error details
                    type: object
                    properties:
                      requestId:
                        type: string
                        description: Unique ID of the failing request
                      message:
                        type: string
                        description: Error message
                      code:
                        type: string
                        description: Error code
                    required:
                      - requestId
                      - message
        '422':
          description: 422 - Unprocessable Entity
          content:
            application/json:
              schema:
                description: Unprocessable Entity response
                type: object
                properties:
                  error:
                    example:
                      requestId: 8e033668-9f1a-11ec-b909-0242ac120002
                      code: 422-01
                      message: Unprocessable Entity
                    description: Error details
                    type: object
                    properties:
                      requestId:
                        type: string
                        description: Unique ID of the failing request
                      message:
                        type: string
                        description: Error message
                      code:
                        type: string
                        description: Error code
                    required:
                      - requestId
                      - message
        '429':
          description: 429 - Too Many Requests
          content:
            application/json:
              schema:
                description: Too Many Requests response
                type: object
                properties:
                  error:
                    example:
                      requestId: 8e033668-9f1a-11ec-b909-0242ac120002
                      code: 429-01
                      message: Too Many Requests
                    description: Error details
                    type: object
                    properties:
                      requestId:
                        type: string
                        description: Unique ID of the failing request
                      message:
                        type: string
                        description: Error message
                      code:
                        type: string
                        description: Error code
                    required:
                      - requestId
                      - message
        '500':
          description: 500 - Internal Server Error
          content:
            application/json:
              schema:
                description: Default error response
                type: object
                properties:
                  error:
                    example:
                      requestId: 8e033668-9f1a-11ec-b909-0242ac120002
                      code: 500-01
                      message: Internal server error
                    description: Error details
                    type: object
                    properties:
                      requestId:
                        type: string
                        description: Unique ID of the failing request
                      message:
                        type: string
                        description: Error message
                      code:
                        type: string
                        description: Error code
                    required:
                      - requestId
                      - message
        '503':
          description: 503 - Service Unavailable
          content:
            application/json:
              schema:
                description: Service Unavailable response
                type: object
                properties:
                  error:
                    example:
                      requestId: 8e033668-9f1a-11ec-b909-0242ac120002
                      code: 503-01
                      message: Service Unavailable
                    description: Error details
                    type: object
                    properties:
                      requestId:
                        type: string
                        description: Unique ID of the failing request
                      message:
                        type: string
                        description: Error message
                      code:
                        type: string
                        description: Error code
                    required:
                      - requestId
                      - message
components:
  securitySchemes:
    API-ID:
      type: apiKey
      in: header
      name: asapp-api-id
    API-Secret:
      type: apiKey
      in: header
      name: asapp-api-secret

````